Page MenuHomePhabricator

dirstate: move management of the dirstate dirs into the dirstatemap
ClosedPublic

Authored by mbthomas on Nov 8 2017, 12:31 PM.

Details

Summary

The dirstate dirs object is owned by the map, so move management of that object
there. A future implementation of the dirstate will manage the dirs object
differently.

Diff Detail

Repository
rHG Mercurial
Lint
Lint Skipped
Unit
Unit Tests Skipped

Event Timeline

mbthomas created this revision.Nov 8 2017, 12:31 PM
mbthomas updated this revision to Diff 3439.Nov 13 2017, 7:18 AM
durin42 accepted this revision.Nov 13 2017, 5:46 PM
This revision is now accepted and ready to land.Nov 13 2017, 5:46 PM
mbthomas updated this revision to Diff 3516.Nov 15 2017, 4:08 AM
durin42 accepted this revision.Nov 17 2017, 5:22 PM
This revision was automatically updated to reflect the committed changes.